// Création de l'objet Car avec les propriétés image, make, model, description, price, category, 
// year, mileage, extras --> Tableau d'Extra

function Car ( image, make, model, description, price, category, year, mileage, extras )
{
	this.image = image;
	this.make = make;
	this.model = model;
	this.description = description;
	this.price = price;
	this.category = category;
	this.year = year;
	this.mileage = mileage;
	this.extras = extras;
}

// Méthode permettant de générer l'image de la voiture souhaité selon
// son chemin d'accès donné en paramètre

Car.prototype.generateImage = function ( elt )
{
	const imageCar = document.createElement("img");

	imageCar.src = this.image;
	imageCar.alt = this.make + ' ' + this.model;
	imageCar.className = 'card-img-top';

	elt.appendChild(imageCar);
}

// Méthode permettant de générer concernant les extras de la voiture souhaité

Car.prototype.generateExtras = function ( elt )
{
	const listeUL = document.createElement("ul");

	this.extras.forEach(element => {
		const elementLI = document.createElement("li");
		elementLI.innerText = element.name + ' ' + element.price + ' €';
		listeUL.appendChild(elementLI)
	});

	elt.appendChild(listeUL);
}